CWParserInternal::SubDocument Class Reference

Internal: the subdocument of a CWParser. More...

Inheritance diagram for CWParserInternal::SubDocument:

## Public Member Functions

| SubDocument (CWParser &pars, MWAWInputStreamPtr input, int zoneId)
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator!== More...
int | getId () const
| returns the subdocument id More...
void | setId (int vid)
| sets the subdocument id More...
void | parse (MWAWContentListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes

int | m_id
| the subdocument id More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Detailed Description

Internal: the subdocument of a CWParser.

## Constructor & Destructor Documentation

CWParserInternal::SubDocument::SubDocument | ( | CWParser & | pars,
|  | MWAWInputStreamPtr | input,
|  | int | zoneId
| ) |  |

inline

virtual CWParserInternal::SubDocument::~SubDocument | ( |  | ) |

inline virtual

destructor

## Member Function Documentation

int CWParserInternal::SubDocument::getId | ( |  | ) | const

inline

returns the subdocument id

virtual bool CWParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

inline virtual

operator!=

Reimplemented from MWAWSubDocument.

Referenced by operator==().

virtual bool CWParserInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const

inline virtual

operator!==

void CWParserInternal::SubDocument::parse | ( | MWAWContentListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |

virtual

the parser function

Implements MWAWSubDocument.

void CWParserInternal::SubDocument::setId | ( | int | vid | ) |

inline

sets the subdocument id

## Member Data Documentation

int CWParserInternal::SubDocument::m_id

protected

the subdocument id

Referenced by getId(), operator!=(), parse(), and setId().

The documentation for this class was generated from the following file:

- CWParser.cxx